## omake 0.9.8.5-3

=== debian/changelog ===
omake (0.9.8.5-3-8) unstable; urgency=low

  * Add 0004-Disable-warnings-introduced-in-OCaml-3.12.patch
    (Closes: #580091)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Switch source package format to 3.0 (quilt)
  * Reformat debian/NEWS to please Lintian

 -- Stéphane Glondu <glondu@debian.org>  Mon, 03 May 2010 22:37:34 +0200

omake (0.9.8.5-3-7) unstable; urgency=low

  * debian/control:
    - update my e-mail address, remove DMUA
    - change build-dependency from libreadline5-dev to libreadline-dev
    - update Standards-Version to 3.8.3 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 13 Sep 2009 16:01:50 +0200

omake (0.9.8.5-3-6) unstable; urgency=low

  * Properly strip only on native architectures
  * Move to section ocaml
  * Update Standards-Version to 3.8.2

 -- Stephane Glondu <steph@glondu.net>  Sat, 04 Jul 2009 16:11:04 +0200

omake (0.9.8.5-3-5) unstable; urgency=low

  * Add DM-Upload-Allowed
  * Switch copyright to new format
  * Add Homepage field to debian/control
  * Add build-dependency on dh-ocaml and use ocamlvars.mk
  * Switch patch system to quilt, add README.source
  * New patches:
    - remove useless external that causes FTBFS (Closes: #522008)
    - fix attempt to free a non-heap object (Closes: #505045)
      (thanks to Martin Michlmayr for spotting this)
  * Use debhelper 7 and overrides
  * Bump Standards-Version to 3.8.1
  * Add debian/watch
  * Move documentation to (new) arch-indep package omake-doc

 -- Stephane Glondu <steph@glondu.net>  Sat, 11 Apr 2009 15:26:50 +0200

omake (0.9.8.5-3-4) unstable; urgency=high

  * Switch packaging to git
  * Set Maintainer to d-o-m, add mfurr and myself to Uploaders
  * Do not install ocamldep-omake, as it is useless (Closes: #510919)
  * Add NEWS.Debian

 -- Stephane Glondu <steph@glondu.net>  Tue, 13 Jan 2009 18:19:05 +0100

omake (0.9.8.5-3-3) unstable; urgency=low

  * Do not strip the bytecode executable (since it's -custom linked)
    Thanks to Julien Cristau for pointing this out. (Closes: 447567)

 -- Mike Furr <mfurr@debian.org>  Mon, 22 Oct 2007 10:38:15 -0400

omake (0.9.8.5-3-2) unstable; urgency=low

  * Update deps for 3.10.0 transitiion
  * Apply patch from upstream svn to fix FTBFS (Closes: #439568)

 -- Mike Furr <mfurr@debian.org>  Fri, 07 Sep 2007 17:06:51 -0400

omake (0.9.8.5-3-1) unstable; urgency=low

  * New upstream release

 -- Mike Furr <mfurr@debian.org>  Fri, 24 Aug 2007 11:36:57 -0400

omake (0.9.8.3-1-1) unstable; urgency=low

  * New Upstream release
  * Removed ocamlrun header from ocamldep-omake since omake actually runs
    it as 'ocamlrun ocamldep-omake' itself
  
 -- Mike Furr <mfurr@debian.org>  Mon, 04 Jun 2007 10:22:38 -0400

omake (0.9.8.1-1-1) unstable; urgency=low

  * New upstream version (Closes: #415205)
  * Policy version now 3.7.2 (no changes needed)
  * Removed Makefile patch since it's no longer necessary
  
 -- Mike Furr <mfurr@debian.org>  Fri, 23 Mar 2007 15:59:23 -0400

omake (0.9.8-2-1) unstable; urgency=low

  * New upstream version

 -- Mike Furr <mfurr@debian.org>  Wed, 15 Nov 2006 18:28:05 -0500

omake (0.9.6.9-1-2) unstable; urgency=low

  * Fix format string for 64-bit arches

 -- Mike Furr <mfurr@debian.org>  Tue, 14 Nov 2006 16:54:14 -0500

omake (0.9.6.9-1-1) unstable; urgency=low

  * New upstream release 
  * Acknowledge NMU and add patch to patches dir (Closes: 397699)
  * Convert to svn-buildpackage layout
  * Change control.in back to control

 -- Mike Furr <mfurr@debian.org>  Tue, 14 Nov 2006 16:40:12 -0500

omake (0.9.6.8-1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't touch boot/Makefile.dep in the toplevel Makefile, we want it to be
    regenerated after that (closes: #397699).

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Fri, 10 Nov 2006 15:43:13 +0100

omake (0.9.6.8-1-1) unstable; urgency=low

  * New upstream release 

 -- Mike Furr <mfurr@debian.org>  Fri, 27 Jan 2006 15:05:23 -0500

omake (0.9.6.7-1-2) unstable; urgency=low

  * Rebuild for 3.09.1 

 -- Mike Furr <mfurr@debian.org>  Sat,  7 Jan 2006 18:14:57 -0500

omake (0.9.6.7-1-1) unstable; urgency=low

  * New upstream release
  * Removed bytecode compile patch as this is now handled upstream
  * No more hard-coding the ABI in control

 -- Mike Furr <mfurr@debian.org>  Fri, 30 Dec 2005 13:41:54 -0500

omake (0.9.6.6-2-1) unstable; urgency=low

  * New upstream release 
  * Build with OCaml 3.09.0 (Closes: 338567)
  * Dropped version on fam-dev depends since it reverted its name change
  * Fixed build to work on non-opt architectures. (Closes: 332284)

 -- Mike Furr <mfurr@debian.org>  Wed, 23 Nov 2005 12:53:03 -0500

omake (0.9.6.5-2-1) unstable; urgency=low

  * New upstream release. 

 -- Mike Furr <mfurr@debian.org>  Wed, 21 Sep 2005 18:22:45 -0400

omake (0.9.6-3) unstable; urgency=low

  * Argh, fix the final omake target in the makefile for non-opt
    architectures.

 -- Mike Furr <mfurr@debian.org>  Thu,  4 Aug 2005 00:53:38 -0400

omake (0.9.6-2) unstable; urgency=low

  * Patch Makefile to handle archs with only bytecode compilers 

 -- Mike Furr <mfurr@debian.org>  Wed,  3 Aug 2005 22:55:06 -0400

omake (0.9.6-1) unstable; urgency=low

  * New upstream release 

 -- Mike Furr <mfurr@debian.org>  Fri, 22 Jul 2005 16:18:23 -0400

omake (0.9.4-1) unstable; urgency=low

  * Initial release Closes: #316561

 -- Mike Furr <mfurr@debian.org>  Fri,  1 Jul 2005 14:46:58 -0400
