=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=omake
include /usr/share/ocaml/ocamlvars.mk

build:
	dh $@

override_dh_auto_build:
	$(MAKE) PREFIX=/usr MANDIR=/usr/share/man bootstrap
	$(MAKE) PREFIX=/usr MANDIR=/usr/share/man all

override_dh_auto_clean:
ifneq ($(wildcard omake-boot),)
	-./omake-boot clean
endif

override_dh_auto_install:
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/tmp/ install

override_dh_installdocs:
	dh_installdocs -XCVS -X.cvsignore \
	  -X.ps -X.eps -X.psd -X.ai -X.tex

override_dh_compress:
	dh_compress -X.html -X.pdf

override_dh_strip:
# omake is compiled with -custom
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	dh_strip
endif

%:
	dh $@


.PHONY: build \
  override_dh_auto_build \
  override_dh_auto_clean \
  override_dh_auto_install \
  override_dh_installdocs \
  override_dh_compress \
  override_dh_strip
