=== debian/changelog ===
omake (0.9.8.6-1) UNRELEASED; urgency=low

  * Updated to 0.9.8.6 (revision 13252) to support OCaml 3.12.0.

 -- Mike McClurg <mike.mcclurg@citrix.com>  Thu, 25 Nov 2010 12:00:00 +0000
