=== debian/control ===
Source: omake
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 make,
 ocaml-nox (>= 3.09.2),
 libncurses5-dev,
 ocaml-native-compilers (>= 3.09.2)

Package: omake
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: The omake build system
  OMake is a build system, similar to GNU make, but with many
 additional features, including: - Support for large projects spanning
 multiple directories; - Support for commands that produce several
 targets at once; - Fast, accurate, automated dependency analysis
 using MD5 digests; - Portability: omake provides a consistent
 interface on Win32   and on Unix systems including Linux, OSX, and
 Cygwin; - Builtin functions that provide the most common features of
 programs like grep, sed, and awk; - Active filesystem monitoring,
 where the build automatically   restarts whenever you modify a source
 file.
